

CREATE TABLE lom (
       lom_no CHAR(10) NOT NULL
     , loid CHAR(10) NOT NULL
     , path VARCHAR(2000) NOT NULL
     , lom_type CHAR(2)
     , value VARCHAR(2000)
);

CREATE TABLE lom_type (
       display_no CHAR(10) NOT NULL
     , path VARCHAR(2000) NOT NULL
     , lom_type CHAR(2) NOT NULL
     , name VARCHAR(50)
     , value VARCHAR(2000)
     , disp_value VARCHAR(2000)
     , scorm_vocabulary VARCHAR(2000)
);

Create Sequence lom_no_seq;

CREATE TABLE LoExtend (
    LOID char (10) NOT NULL ,
    buy int NULL,
    keyword1 varchar (256) NULL ,
    keyword2 varchar (256) NULL ,
    keyword3 varchar (256) NULL ,
    keyword4 varchar (256) NULL ,
    keyword5 varchar (256) NULL
);

Insert INTO lom_type values('0000000000','//:lom/:general/:title', '00', '学習資源タイトル', '', '','');
Insert INTO lom_type values('0000000001','//:lom/:general/:language', '11', '言語', '0', 'jp','');
Insert INTO lom_type values('0000000002','//:lom/:general/:description', '15', '内容', '', '','');
Insert INTO lom_type values('0000000003','//:lom/:general/:keyword', '15', 'キーワード', '', '','');
Insert INTO lom_type values('0000000004','//:lom/:general/:coverage', '15', '対象範囲', '', '','');

Insert INTO lom_type values('0000000005','//:lom/:educational/:interactivetype', '11', '情報交換タイプ', '0', '対話型','active');
Insert INTO lom_type values('0000000005','//:lom/:educational/:interactivetype', '11', '情報交換タイプ', '1', '提示型','expositive');
Insert INTO lom_type values('0000000005','//:lom/:educational/:interactivetype', '11', '情報交換タイプ', '2', '対話提示混合','mixed');

Insert INTO lom_type values('0000000006','//:lom/:educational/:learningresourcetype', '11', '情報資源タイプ', '0', 'ドリル','exercise');
Insert INTO lom_type values('0000000006','//:lom/:educational/:learningresourcetype', '11', '情報資源タイプ', '1', 'シミュレーション','simulation');
Insert INTO lom_type values('0000000006','//:lom/:educational/:learningresourcetype', '11', '情報資源タイプ', '2', '問題集','questionnaire');
Insert INTO lom_type values('0000000006','//:lom/:educational/:learningresourcetype', '11', '情報資源タイプ', '3', '図形','diagram');
Insert INTO lom_type values('0000000006','//:lom/:educational/:learningresourcetype', '11', '情報資源タイプ', '4', '画像','figure');
Insert INTO lom_type values('0000000006','//:lom/:educational/:learningresourcetype', '11', '情報資源タイプ', '5', 'グラフ','graph');
Insert INTO lom_type values('0000000006','//:lom/:educational/:learningresourcetype', '11', '情報資源タイプ', '6', 'インデックス','index');
Insert INTO lom_type values('0000000006','//:lom/:educational/:learningresourcetype', '11', '情報資源タイプ', '7', 'スライド','slide');
Insert INTO lom_type values('0000000006','//:lom/:educational/:learningresourcetype', '11', '情報資源タイプ', '8', '表','table');
Insert INTO lom_type values('0000000006','//:lom/:educational/:learningresourcetype', '11', '情報資源タイプ', '9', '説明文','narrative text');
Insert INTO lom_type values('0000000006','//:lom/:educational/:learningresourcetype', '11', '情報資源タイプ', '10', '試験','exam');
Insert INTO lom_type values('0000000006','//:lom/:educational/:learningresourcetype', '11', '情報資源タイプ', '11', '実験','experiment');
Insert INTO lom_type values('0000000006','//:lom/:educational/:learningresourcetype', '11', '情報資源タイプ', '12', '問題記述','problem statement');
Insert INTO lom_type values('0000000006','//:lom/:educational/:learningresourcetype', '11', '情報資源タイプ', '13', '自己評価','self assessment');
Insert INTO lom_type values('0000000006','//:lom/:educational/:learningresourcetype', '11', '情報資源タイプ', '14', '講義','lecture');

Insert INTO lom_type values('0000000007','//:lom/:educational/:intendedenduserrole', '11', '利用者種別', '0', '教師','teacher');
Insert INTO lom_type values('0000000007','//:lom/:educational/:intendedenduserrole', '11', '利用者種別', '1', '製作者','author');
Insert INTO lom_type values('0000000007','//:lom/:educational/:intendedenduserrole', '11', '利用者種別', '2', '学習者','learner');
Insert INTO lom_type values('0000000007','//:lom/:educational/:intendedenduserrole', '11', '利用者種別', '3', '管理者','manager');

Insert INTO lom_type values('0000000008','//:lom/:educational/:difficulty', '11', '難易度', '0', '大変易しい','very easy');
Insert INTO lom_type values('0000000008','//:lom/:educational/:difficulty', '11', '難易度', '1', '易しい','easy');
Insert INTO lom_type values('0000000008','//:lom/:educational/:difficulty', '11', '難易度', '2', '標準的','medium');
Insert INTO lom_type values('0000000008','//:lom/:educational/:difficulty', '11', '難易度', '3', '難しい','difficult');
Insert INTO lom_type values('0000000008','//:lom/:educational/:difficulty', '11', '難易度', '4', '大変難しい','very difficult');

Insert INTO lom_type values('0000000009','//:lom/:educational/:typicallearningtime', '00', '学習時間', '', '','');
Insert INTO lom_type values('0000000010','//:lom/:rights/:cost', '11', '費用', '0', 'No','no');
Insert INTO lom_type values('0000000010','//:lom/:rights/:cost', '11', '費用', '1', 'Yes','yes');
Insert INTO lom_type values('0000000011','//:lom/:rights/:copyrightandotherrestrictions', '11', '著作権および制約', '0', 'No','no');
Insert INTO lom_type values('0000000011','//:lom/:rights/:copyrightandotherrestrictions', '11', '著作権および制約', '1', 'Yes','yes');
Insert INTO lom_type values('0000000012','//:lom/:rights/:description', '00', '使用条件に関する記述', '', '','');
